const FantasiaSwordItems = [
    "minecraft:golden_sword",
    "minecraft:diamond_sword",
    "minecraft:iron_sword",
    "minecraft:netherite_sword",
    "minecraft:stone_sword",
    "minecraft:wooden_sword",
    "overgeared:steel_sword"
]


const ParryDualWieldPoseItems = [
    "#spartanweaponry:parrying_daggers",
    "#fantasia:swords",
]


const ParryLongswordPoseItems = [
    "#spartanweaponry:longswords",
    "spartanweaponry:steel_katana",
    "spartanweaponry:diamond_katana",
]


const ParryPolearmPoseItems = [
    "#spartanweaponry:glaives",
    "#spartanweaponry:halberds",
    "#spartanweaponry:scythes",

]


const ParryPikePoseItems = [
    
]


const ParryTwoHandedPoseItems = [
    "spartanweaponry:netherite_katana",
    "#spartanweaponry:greatswords",
]


const ParryWarhammerPoseItems = [
    "#spartanweaponry:warhammers",
    "#spartanweaponry:battleaxes",
]


ServerEvents.tags("item", e =>{
    e.add("fantasia:swords", FantasiaSwordItems)

    e.add("fantasia:parry_dual_wield_anim", ParryDualWieldPoseItems)
    e.add("fantasia:parry_longsword_anim", ParryLongswordPoseItems)
    e.add("fantasia:parry_polearm_anim", ParryPolearmPoseItems)
    e.add("fantasia:parry_two_hand_anim", ParryTwoHandedPoseItems)
    e.add("fantasia:parry_warhammer_anim", ParryWarhammerPoseItems)

    e.add("spartanweaponry:wooden_weapons", "minecraft:wooden_sword")

    // e.add("fantasia:parry_pike_anim", ParryPikePoseItems)
})
